Bug 144211 - CAN-2004-1145 Konqueror Java Vulnerability
Summary: CAN-2004-1145 Konqueror Java Vulnerability
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard: impact=important,public=20041220
Keywords: Security
Depends On:
Blocks: 142822
TreeView+ depends on / blocked
 
Reported: 2005-01-05 02:12 UTC by Josh Bressers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 17:28:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:065 high SHIPPED_LIVE Important: kdelibs security update 2005-02-15 05:00:00 UTC

Description Josh Bressers 2005-01-05 02:12:16 UTC
*** This bug has been split off bug 143435 ***

------- Original comment by Josh Bressers (Security Response Team) on 2004.12.20
15:07 -------

Two flaws in the Konqueror webbrowser make it possible to by pass the
sandbox environment which is used to run Java-applets.  One flaw
allows access to restricted Java classes via JavaScript, making it
possible to escalate the privileges of the Java-applet.  The other
problem is that Konqueror fails to correctly restrict access to
certain Java classes from the Java-applet itself.

See http://www.kde.org/info/security/advisory-20041220-1.txt for the
full advisory.

Comment 1 Ngo Than 2005-01-28 17:28:28 UTC
it's now fixed in kdelibs-3.3.1-3.3, which is already built in
4E-errata-candidate

Comment 2 Mark J. Cox 2005-02-15 10:12:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-065.html



Note You need to log in before you can comment on or make changes to this bug.